package com.jay.monitor.data.core.enums;


/**
 * 消息的类型定义
 *
 * @author ： liukx
 * @time ： 2019/10/25 - 15:07
 */
public enum MsgTypeEnums {
    /**
     * SQL      :            SQL语句类型
     * SERVICE :             业务类型
     * URL  :                请求URL类型
     * CACHE :               缓存类型
     * MQ   :                消息队列
     * RPC  :                远程调用
     * thirdParty:           第三方
     * OTHER :               其他类型
     */
    SQL, SERVICE, URL, CACHE, MQ, RPC, OTHER;
}
