package com.jay.monitor.data.server.anno;

import com.jay.monitor.data.server.enums.ESQuerySyntax;

import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

@Target({ElementType.METHOD, ElementType.FIELD})
@Retention(RetentionPolicy.RUNTIME)
public @interface ESSearch {

    /**
     * 字段名称
     * @return
     */
    String fieldName() default "";

    /**
     * 默认字段的查询类型
     *
     * @return
     */
    ESQuerySyntax value() default ESQuerySyntax.eq;

}
