package com.jay.monitor.data.server.controllers;//package com.jay.monitor.data.server.controllers;

import com.jay.monitor.data.core.enums.MsgTypeEnums;
import com.jay.monitor.data.server.controllers.monitor.BaseLoadMonitorController;
import com.jay.monitor.data.server.models.request.trace.ServiceRequest;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;

import static com.jay.monitor.data.server.controllers.ServiceTraceController.PREFIX_URL;

/**
 * 业务监控数据查询处理
 *
 * @author liukx
 * @Date 2019-02-28 15:16
 */
@Controller
@RequestMapping(value = PREFIX_URL)
public class ServiceTraceController extends BaseLoadMonitorController<ServiceRequest> {

    ///////////////////////////////////////////// API ////////////////////////////////////////////
    public final static String PREFIX_URL = "/m/service";
    public final static String LIST_URL = PREFIX_URL + "/pageList";
    public static final String UPDATE_URL = "/";
    public static final String ADD_URL = "/";
    public static final String DEL_URL = "/";

    @Override
    public MsgTypeEnums type() {
        return MsgTypeEnums.SERVICE;
    }

}
